apt 3.1.11 commandline package manager

Public Member Functions | Public Attributes | List of all members
VersionIsSourceVersion Struct Reference
Inheritance diagram for VersionIsSourceVersion:

## Public Member Functions
| VersionIsSourceVersion (std::string const &pattern)
bool | operator() (pkgCache::VerIterator const &Ver) override
Public Member Functions inherited from VersionAnyMatcher
bool | operator() (pkgCache::GrpIterator const &) override
bool | operator() (pkgCache::PkgIterator const &Pkg) override

## Public Attributes
BaseRegexMatcher | matcher

## Member Function Documentation

## ◆ operator()()

bool operator() | ( | pkgCache::VerIterator const & | Ver | ) |
| inline override virtual

Implements VersionAnyMatcher.

The documentation for this struct was generated from the following file:

- apt-pkg/cachefilter-patterns.h